Issue 121872 - Integrate the Presentation Minimizer
Integrate the Presentation Minimizer
Status: RESOLVED FIXED
Product: General
Classification: Code
Component: code
4.0.0-dev
All All
: P3 normal (vote)
: 4.0.0
Assigned To: Ariel Constenla-Haile
:
Depends on:
Blocks: 121871
  Show dependency treegraph
 
Reported: 2013-03-09 05:00 UTC by Ariel Constenla-Haile
Modified: 2013-04-24 20:12 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
Patch intergating the PresentationMinimizer (407.66 KB, patch)
2013-03-12 06:27 UTC, Ariel Constenla-Haile
no flags Details | Diff
Patch intergating the PresentationMinimizer (408.35 KB, patch)
2013-03-12 08:46 UTC, Ariel Constenla-Haile
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description Ariel Constenla-Haile 2013-03-09 05:00:33 UTC
Integrate the Presentation Minimizer code so that it is no longer built as an extension.
Comment 1 Ariel Constenla-Haile 2013-03-12 06:27:16 UTC
Created attachment 80395 [details]
Patch intergating the PresentationMinimizer

The patch integrates the PresentationMinimizer into the office. The code is mostly untouched, it uses still UNO API, UNO AWT, etc.

Help content is only to test help integration (I'm not a documentation writer).
Comment 2 Ariel Constenla-Haile 2013-03-12 06:45:34 UTC
(In reply to comment #1)
> Created attachment 80395 [details]
> Patch intergating the PresentationMinimizer

It builds fine on Linux and Windows.
Comment 3 Ariel Constenla-Haile 2013-03-12 08:46:52 UTC
Created attachment 80396 [details]
Patch intergating the PresentationMinimizer

Seems I attached the wrong patch (from my Linux system), this has a fix for Windows (where the system file picker works, while Linux only the internal office file picker)
Comment 4 SVN Robot 2013-03-15 23:21:05 UTC
"arielch" committed SVN revision 1457158 into trunk:
i121872 - Integrate the Presentation Minimizer
Comment 5 Ariel Constenla-Haile 2013-03-15 23:27:10 UTC
Fixed on trunk.

A complete rewrite of the extension, using the svt::RoadmapWizard instead of AWT API, etc. would be a nice-to-have, but goes beyond the scope of this task.
Comment 6 SVN Robot 2013-03-15 23:35:06 UTC
"arielch" committed SVN revision 1457160 into trunk:
i121872 - Remove dirs left behind by git
Comment 7 Ariel Constenla-Haile 2013-03-26 13:01:25 UTC
Reverted on trunk
Comment 8 SVN Robot 2013-04-16 03:55:36 UTC
"arielch" committed SVN revision 1468299 into trunk:
i121872 - Integrate the Presentation Minimizer
Comment 9 SVN Robot 2013-04-24 20:08:25 UTC
"arielch" committed SVN revision 1471625 into trunk:
i121872 - Modify service and implementation names to prevent name clashes wit...
Comment 10 SVN Robot 2013-04-24 20:09:18 UTC
"arielch" committed SVN revision 1471628 into trunk:
i121872 - Small fixes to Presentation Minimizer Online Help